
Project Alias - Feature #2009

Deny deletion?

13 Mar 2012 10:06 - Andriy Lesyuk

Status: Closed Start date: 13 Mar 2012

Priority: Minor Due date: 14 Apr 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1.0   

External issue:    

Description

Currently after setting an alias as an identifier the previous identifier can be deleted...

This violates the Redmine “policy” where an identifier can’t be changed! Well... Yeah, the plugin itself does this but it reserves the

identifier by making it an alias! The deletion is a different story!

So I wonder if I should add a new field to the project alias – :undeletable?.. If this field was set to true it would not be possible to

delete the project alias... This field should be set to true if the alias is made from identifier...

P.S. Why not allowing to remove identifiers?.. Mainly due to they are used in project links!..

Associated revisions

Revision 13 - 15 Apr 2012 11:36 - Andriy Lesyuk

Denying removing previous identifiers (#2009), allowed underscore for ChiliProject (#2016)

History

#1 - 24 Mar 2012 15:12 - Andriy Lesyuk

- Target version set to 0.1.0

#2 - 14 Apr 2012 12:40 - Andriy Lesyuk

- Due date set to 14 Apr 2012

- Status changed from Incomplete to Closed

- % Done changed from 0 to 100
